Bug 547599 - Kernel error messages displayed during boot on Lenovo Thinkpad T400s
Kernel error messages displayed during boot on Lenovo Thinkpad T400s
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 23:36 EST by Albert
Modified: 2010-12-03 20:39 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Fedora 12 on a Lenovo Thinkpad T400s
Last Closed: 2010-12-03 20:39:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Photo of error message during kernel boot up. (3.17 MB, image/jpeg)
2009-12-15 01:25 EST, Albert
no flags Details
dmesg log (59.13 KB, application/octet-stream)
2009-12-22 17:02 EST, Satish Balay
no flags Details

  None (edit)
Description Albert 2009-12-14 23:36:57 EST
Description of problem: After installing Fedora 12 on a brand new Lenovo Thinkpad T400s, the following error messages are displayed early in the boot phase (text mode) and right before it switches to graphics mode. 

DRHD: handling fault status reg 3
DMAR:[DMA Write] Request device [00:02.0] fault addr ffffff000 
DMAR:[fault reason 05] PTE Write access is not set
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-B
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-C
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-D

Each time the system reboots, it is always displayed (high reproducible).

Version-Release number of selected component (if applicable): Fedora Release 12


How reproducible: Very consistent (highly reproducible).  Each time the T400s is rebooted, you'll see the error message.


Steps to Reproduce:
1. Install Fedora 12 on a brand new Thinkpad T400s.  T400s has latest BIOS (1.11) and SSD is all Fedora (no windows).
2. After installation is complete, reboot the T400s.
3. The error messages will be displayed early in the boot phase (in text mode) and right before it switches to graphics mode.
  
Actual results: 


Expected results:


Additional info:
Comment 1 Albert 2009-12-15 01:25:24 EST
Created attachment 378436 [details]
Photo of error message during kernel boot up.
Comment 2 Satish Balay 2009-12-22 17:02:16 EST
Created attachment 379922 [details]
dmesg log

I get the same messages on a new T400 - with a fresh install of F12 X86_64 [no windows] - with updates. I have the latest BIOS, and have VT bits enabled in BIOS

[console messages captured with a video and transcribed]
>>>>>>
DRHD: handling fault status reg 3
DMAR:[DMA Write] Request device [00:02.0] fault addr 726800000
DMAR:[fault reason 05] PTE Write access is not set
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-B
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-C
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-D
<<<<<<<<<

lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
<<<<<<


Attaching relavent dmesg.log which has these error messages listed
Comment 3 Rubin Simons 2010-01-03 07:48:34 EST
Hi, I have a Lenovo ThinkPad T400s also. I'm also seeing these messages. Same here, no windows on the system. I have the 2808-CYG.
Comment 4 FSW 2010-01-07 07:14:22 EST
I have also one message concerning an i2c error on my Fujitsu-Siemens Amilo Li 3710 laptop with Fedora 12 64 bits (along Vista), with almost everything Intel inside, apart from LAN & WLAN from Realtek.

[fsw@hubble ~]$ uname -r
2.6.31.9-174.fc12.x86_64

[fsw@hubble ~]$ dmesg |grep ERROR
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-D
[drm:drm_mode_rmfb] *ERROR* tried to remove a fb that we didn't own

The message concerning the fb is RH-bug 53709 and I've put there more details about my configuration (even if everything is nevertheless working as it should 'till now).

But, on my box, there are no other error messages like you have:

[fsw@hubble ~]$ dmesg |grep DRHD
[fsw@hubble ~]$ dmesg |grep DMAR
DMAR: Forcing write-buffer flush capability

So, perhaps it can help someone to find what's wrong... 
Good luck.
Comment 5 FSW 2010-01-07 07:18:22 EST
Sorry, I meant:

The message concerning the fb is RH-bug 539709
Comment 6 Tomislav Vujec 2010-02-17 17:56:33 EST
Same messages appear on Lenovo ThinkPad X200:

>>>>>>>
DRHD: handling fault status reg 3
DMAR:[DMA Write] Request device [00:02.0] fault addr ffffff000 
DMAR:[fault reason 05] PTE Write access is not set
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-B
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-C
[drm:intel_dp_i2c_init] *ERROR* i2c_init DPDDC-D
<<<<<<<
Comment 7 FSW 2010-06-09 17:42:58 EDT
Fedora 13 solved the error messages I've got regarding i2c & fb (see comment 4):

[fsw@hubble ~]$ dmesg |grep ERROR
[fsw@hubble ~]$ uname -r
2.6.33.5-112.fc13.x86_64
Comment 8 Bug Zapper 2010-11-03 23:20:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 20:39:22 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.